Subject: bug#16028: 24.3.50; Latest build completely breaks my thumnail frames code

From: martin rudalics <[email-masked]>
Date: Fri, 06 Dec 2013 15:56:38 +0100

> Running it through the debugger, I see that the frame _is_ shrunk
 > correctly, along with the font, at this point in the code:
 >
 > (enlarge-font (- thumfr-font-difference) frame)
 > ...
 > (modify-frame-parameters frame thumfr-frame-parameters)
 >
 > But if I don't go through the debugger, it does not work.  And if I just
 > hit `c' in the debugger, instead of `d' throughout, it also does not work.
 >
 > This is 100% reproducible.  Dunno why stepping through the debugger would
 > work, and even hitting `c' for the `enlarge-font' call works, but hitting
 > `c' for the `condition-case' does not.

Put in some sit-fors.  Check whether and which exception handlers get
called.  Check which frame parameters get set and reset.

martin